Package ru.bitel.oss.kernel.entity.common.bean

# Class EntitySpecAttrMultiListItem

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.oss.kernel.entity.common.bean.EntitySpecAttrMultiListItem

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

Direct Known Subclasses:
  `ContractParameterMultiListItem`

public class EntitySpecAttrMultiListItem extends IdTitle

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.Builder, IdTitle.IdTitleBuilder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EntitySpecAttrMultiListItem()`
  `EntitySpecAttrMultiListItem(int id, int parameterId, String title)`
  `EntitySpecAttrMultiListItem(int id, int parameterId, String title, boolean inUse)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getParameterId()`
  `boolean`
  `isInUse()`
  `void`
  `setInUse(boolean inUse)`
  `void`
  `setParameterId(int parameterId)`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setId, setTitle, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### EntitySpecAttrMultiListItem

    public EntitySpecAttrMultiListItem()

  - ### EntitySpecAttrMultiListItem

    public EntitySpecAttrMultiListItem(int id, int parameterId, String title)

  - ### EntitySpecAttrMultiListItem

    public EntitySpecAttrMultiListItem(int id, int parameterId, String title, boolean inUse)

- ## Method Details

  - ### setParameterId

    public void setParameterId(int parameterId)

  - ### getParameterId

    public int getParameterId()

  - ### isInUse

    public boolean isInUse()

  - ### setInUse

    public void setInUse(boolean inUse)